### Signal

# EDataCal CalCache::get-timezone

since: 3.30

#### Declaration

    ICalTimezone*
    get_timezone (
      ECalCache* self,
      gchar* tzid,
      gpointer user_data
    )

#### Description [src]

A signal being called to get timezone when putting component into the cache. It’s used to make sure the cache contains all timezones which are needed by the component. The returned ICalTimezone will not be freed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code
Available since: 3.30

#### Parameters

`tzid`

  Type: `gchar*`

  Timezone ID.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `None`

An `ICalTimezone`.

The data is owned by the called function.